﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;


namespace GroundhogApp.Commands
{
    /// <summary>
    /// Class for registering custom hotkey commands for Main Window.
    /// </summary>
    public class CustomCommands
    {

        public static RoutedUICommand AddConnector
                            = new RoutedUICommand("Add connector",
                                                    "AddConnector",
                                                    typeof(CustomCommands));

        public static RoutedUICommand AddMap
                            = new RoutedUICommand("Add map",
                                                    "AddMap",
                                                    typeof(CustomCommands));

        public static RoutedUICommand Preferences
                                = new RoutedUICommand("Preferences",
                                                      "Preferences",
                                                      typeof(CustomCommands));

        public static RoutedUICommand AxisColorCoding
                                = new RoutedUICommand("Axis color coding",
                                                      "AxisColorCoding",
                                                      typeof(CustomCommands));

        public static RoutedUICommand AttachedDataPoints
                                = new RoutedUICommand("Attached data points",
                                                      "AttachedDataPoints",
                                                      typeof(CustomCommands));

        public static RoutedUICommand SampleMetadata
                                = new RoutedUICommand("Sample metadata",
                                                      "SampleMetadata",
                                                      typeof(CustomCommands));

        public static RoutedUICommand EditConnectors
                                = new RoutedUICommand("Edit connectors",
                                                      "EditConnectors",
                                                      typeof(CustomCommands));

        public static RoutedUICommand Help
                                = new RoutedUICommand("Help",
                                                      "Help",
                                                      typeof(CustomCommands));

        public static RoutedUICommand About
                                = new RoutedUICommand("About",
                                                      "About",
                                                      typeof(CustomCommands));
    }
}
