# GeoLab is a WPF app for the visualization of rock samples

## Prerequisites

- [Git](https://git-scm.com/downloads)
- [.NET](https://dotnet.microsoft.com/download)

## Getting started

```
git clone https://gitlab.jyu.fi/groundhog/groundhog-app.git
dotnet run --project source/GroundhogApp/GroundhogApp.csproj
```

## Publish the app

```
dotnet publish -c Release -r win-x64 -p:PublishSingleFile=true -p:IncludeNativeLibrariesInSingleFile=true --self-contained true source -o release/win-x64/
dotnet publish -c Release -r win-x86 -p:PublishSingleFile=true -p:IncludeNativeLibrariesInSingleFile=true --self-contained true source -o release/win-x86/
```
